import java.applet.Applet;
import java.awt.*;
import java.util.*;

public class Raster extends Applet{
    TextArea output;
    String worning = "Workstation is not opened!\n";
    
	Phigsd phigsd = null;
	
    public void init() {
    	output = new TextArea(6, 60);
    	output.setEditable(false);
        phigsd = new Phigsd(this);
    	setLayout(new BorderLayout());
        add("Center", phigsd);
        show();
    }
    
    public void close() {
    	clear();
    }
    
    public void set_view_id(int i) {
    }
    
    public void open_ws(int i) {
    	clear();
    }
    
    public void print(String message) {
    	output.append(message);
    }
    
    public int get_width() {
		if(phigsd == null) {
			output.append(worning);
			return -1;
    	}
    	else {
    		Dimension d = size();
    		return d.width;
    	}
	}
    
    public int get_height() {
		if(phigsd == null) {
			output.append(worning);
			return -1;
    	}
    	else {
    		Dimension d = size();
    		return d.height;
    	}
	}
    
    public void set_pixel(int x, int y, int red, int green, int blue) {
		if(phigsd == null) {
			output.append(worning);
    	}
    	else
			phigsd.set_pixel(x, y, red, green, blue);
    }
    
    public void pixel_update() {
		if(phigsd == null) {
			output.append(worning);
    	}
    	else
			phigsd.setImageUpdate(true);
    }
    
    public int get_red(int x, int y) {
		if(phigsd == null) {
			output.append(worning);
			return -1;
    	}
    	else
			return(phigsd.get_red(x, y));
    }
    
    public int get_green(int x, int y) {
		if(phigsd == null) {
			output.append(worning);
			return -1;
    	}
    	else
			return(phigsd.get_green(x, y));
    }
    
    public int get_blue(int x, int y) {
		if(phigsd == null) {
			output.append(worning);
			return -1;
    	}
    	else
			return(phigsd.get_blue(x, y));
    }
    
    public void clear() {
		if(phigsd == null) {
			output.append(worning);
    	}
    	else
			phigsd.clear();
    }
}